package com.hnsensor.api.ys.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * Domain
 *
 * @author Frank
 */
@Getter
@RequiredArgsConstructor
public enum Domain {

    MAIN("https://open.ys7.com"),

    ;

    private final String baseUrl;


    public String getUrl(ApiEnum api) {
        return this.baseUrl + api.getPath();
    }

}
