package com.hnsensor.api.ys;

import com.hnsensor.api.ys.enums.ApiEnum;
import com.hnsensor.api.ys.enums.Domain;
import com.hnsensor.api.ys.utils.RequestUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * TokenApi
 *
 * @author Frank
 */
public class TokenApi {

    public static String getToken(String appKey, String appSecret) {
        Map<String, Object> params = new HashMap<>();
        params.put("appKey", appKey);
        params.put("appSecret", appSecret);
        return RequestUtil.doPostForm(Domain.MAIN.getUrl(ApiEnum.GET_TOKEN), params);
    }
}
