package com.hnsensor.api.ys.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * ApiResponse
 *
 * @author Frank
 */
@Data
public class ApiResponse implements Serializable {
    private static final long serialVersionUID = 7957871230781947933L;

    private String code;

    private String msg;

    private Map<String, Object> data;

    public boolean success() {
        return "200".equals(code);
    }

}
